package ajcon.custom.util.elements;

import ajcon.custom.util.groups.CStmt;

public class CLvalue {

    private CVarSet CVarSet;
    private CFieldSet CFieldSet;
    private CFormalSet CFormalSet;
    private CStmt CStmt;

    public CLvalue()
    {
        CVarSet = null;
        CFieldSet = null;
        CFormalSet = null;
        CStmt = null;
    }

    public CStmt getCStmt() {
        return CStmt;
    }

    public void setCStmt(CStmt CStmt) {
        this.CStmt = CStmt;
    }

    public CFieldSet getCFieldSet() {
        return CFieldSet;
    }

    public void setCFieldSet(CFieldSet CFieldSet) {
        this.CFieldSet = CFieldSet;
    }

    public CFormalSet getCFormalSet() {
        return CFormalSet;
    }

    public void setCFormalSet(CFormalSet CFormalSet) {
        this.CFormalSet = CFormalSet;
    }

    public CVarSet getCVarSet() {
        return CVarSet;
    }

    public void setCVarSet(CVarSet CVarSet) {
        this.CVarSet = CVarSet;
    }

}
